Main Page Namespaces Book

# Enums and Flags

## Detailed Description

Pango::AttrType distinguishes between different types of attributes.

Along with the predefined values, it is possible to allocate additional values for custom attributes using Pango::Attribute::register_type(). The predefined values are given below.

## Enumerations

enum | Pango::Alignment { Pango::ALIGN_LEFT, Pango::ALIGN_CENTER, Pango::ALIGN_RIGHT }

enum

Pango::AttrType {
Pango::ATTR_INVALID,
Pango::ATTR_LANGUAGE,
Pango::ATTR_FAMILY,
Pango::ATTR_STYLE,
Pango::ATTR_WEIGHT,
Pango::ATTR_VARIANT,
Pango::ATTR_STRETCH,
Pango::ATTR_SIZE,
Pango::ATTR_FONT_DESC,
Pango::ATTR_FOREGROUND,
Pango::ATTR_BACKGROUND,
Pango::ATTR_UNDERLINE,
Pango::ATTR_STRIKETHROUGH,
Pango::ATTR_RISE,
Pango::ATTR_SHAPE,
Pango::ATTR_SCALE,
Pango::ATTR_FALLBACK,
Pango::ATTR_LETTER_SPACING,
Pango::ATTR_UNDERLINE_COLOR,
Pango::ATTR_STRIKETHROUGH_COLOR,
Pango::ATTR_ABSOLUTE_SIZE,
Pango::ATTR_GRAVITY,
Pango::ATTR_GRAVITY_HINT
}

enum | Pango::CoverageLevel { Pango::COVERAGE_NONE, Pango::COVERAGE_FALLBACK, Pango::COVERAGE_APPROXIMATE, Pango::COVERAGE_EXACT }
enum | Pango::Direction { Pango::DIRECTION_LTR, Pango::DIRECTION_RTL, Pango::DIRECTION_TTB_LTR, Pango::DIRECTION_TTB_RTL, Pango::DIRECTION_WEAK_LTR, Pango::DIRECTION_WEAK_RTL, Pango::DIRECTION_NEUTRAL }
enum | Pango::EllipsizeMode { Pango::ELLIPSIZE_NONE, Pango::ELLIPSIZE_START, Pango::ELLIPSIZE_MIDDLE, Pango::ELLIPSIZE_END }
enum | Pango::FontMask { Pango::FONT_MASK_FAMILY = 1 << 0, Pango::FONT_MASK_STYLE = 1 << 1, Pango::FONT_MASK_VARIANT = 1 << 2, Pango::FONT_MASK_WEIGHT = 1 << 3, Pango::FONT_MASK_STRETCH = 1 << 4, Pango::FONT_MASK_SIZE = 1 << 5, Pango::FONT_MASK_GRAVITY = 1 << 6 }
enum | Pango::Gravity { Pango::GRAVITY_SOUTH, Pango::GRAVITY_EAST, Pango::GRAVITY_NORTH, Pango::GRAVITY_WEST, Pango::GRAVITY_AUTO }
enum | Pango::GravityHint { Pango::GRAVITY_HINT_NATURAL, Pango::GRAVITY_HINT_STRONG, Pango::GRAVITY_HINT_LINE }
enum | Pango::RenderPart { Pango::RENDER_PART_FOREGROUND, Pango::RENDER_PART_BACKGROUND, Pango::RENDER_PART_UNDERLINE, Pango::RENDER_PART_STRIKETHROUGH }

enum

Pango::Script {
Pango::SCRIPT_INVALID_CODE = -1,
Pango::SCRIPT_COMMON,
Pango::SCRIPT_INHERITED,
Pango::SCRIPT_ARABIC,
Pango::SCRIPT_ARMENIAN,
Pango::SCRIPT_BENGALI,
Pango::SCRIPT_BOPOMOFO,
Pango::SCRIPT_CHEROKEE,
Pango::SCRIPT_COPTIC,
Pango::SCRIPT_CYRILLIC,
Pango::SCRIPT_DESERET,
Pango::SCRIPT_DEVANAGARI,
Pango::SCRIPT_ETHIOPIC,
Pango::SCRIPT_GEORGIAN,
Pango::SCRIPT_GOTHIC,
Pango::SCRIPT_GREEK,
Pango::SCRIPT_GUJARATI,
Pango::SCRIPT_GURMUKHI,
Pango::SCRIPT_HAN,
Pango::SCRIPT_HANGUL,
Pango::SCRIPT_HEBREW,
Pango::SCRIPT_HIRAGANA,
Pango::SCRIPT_KANNADA,
Pango::SCRIPT_KATAKANA,
Pango::SCRIPT_KHMER,
Pango::SCRIPT_LAO,
Pango::SCRIPT_LATIN,
Pango::SCRIPT_MALAYALAM,
Pango::SCRIPT_MONGOLIAN,
Pango::SCRIPT_MYANMAR,
Pango::SCRIPT_OGHAM,
Pango::SCRIPT_OLD_ITALIC,
Pango::SCRIPT_ORIYA,
Pango::SCRIPT_RUNIC,
Pango::SCRIPT_SINHALA,
Pango::SCRIPT_SYRIAC,
Pango::SCRIPT_TAMIL,
Pango::SCRIPT_TELUGU,
Pango::SCRIPT_THAANA,
Pango::SCRIPT_THAI,
Pango::SCRIPT_TIBETAN,
Pango::SCRIPT_CANADIAN_ABORIGINAL,
Pango::SCRIPT_YI,
Pango::SCRIPT_TAGALOG,
Pango::SCRIPT_HANUNOO,
Pango::SCRIPT_BUHID,
Pango::SCRIPT_TAGBANWA,
Pango::SCRIPT_BRAILLE,
Pango::SCRIPT_CYPRIOT,
Pango::SCRIPT_LIMBU,
Pango::SCRIPT_OSMANYA,
Pango::SCRIPT_SHAVIAN,
Pango::SCRIPT_LINEAR_B,
Pango::SCRIPT_TAI_LE,
Pango::SCRIPT_UGARITIC,
Pango::SCRIPT_NEW_TAI_LUE,
Pango::SCRIPT_BUGINESE,
Pango::SCRIPT_GLAGOLITIC,
Pango::SCRIPT_TIFINAGH,
Pango::SCRIPT_SYLOTI_NAGRI,
Pango::SCRIPT_OLD_PERSIAN,
Pango::SCRIPT_KHAROSHTHI,
Pango::SCRIPT_UNKNOWN,
Pango::SCRIPT_BALINESE,
Pango::SCRIPT_CUNEIFORM,
Pango::SCRIPT_PHOENICIAN,
Pango::SCRIPT_PHAGS_PA,
Pango::SCRIPT_NKO,
Pango::SCRIPT_KAYAH_LI,
Pango::SCRIPT_LEPCHA,
Pango::SCRIPT_REJANG,
Pango::SCRIPT_SUNDANESE,
Pango::SCRIPT_SAURASHTRA,
Pango::SCRIPT_CHAM,
Pango::SCRIPT_OL_CHIKI,
Pango::SCRIPT_VAI,
Pango::SCRIPT_CARIAN,
Pango::SCRIPT_LYCIAN,
Pango::SCRIPT_LYDIAN
}

enum | Pango::Stretch { Pango::STRETCH_ULTRA_CONDENSED, Pango::STRETCH_EXTRA_CONDENSED, Pango::STRETCH_CONDENSED, Pango::STRETCH_SEMI_CONDENSED, Pango::STRETCH_NORMAL, Pango::STRETCH_SEMI_EXPANDED, Pango::STRETCH_EXPANDED, Pango::STRETCH_EXTRA_EXPANDED, Pango::STRETCH_ULTRA_EXPANDED }
enum | Pango::Style { Pango::STYLE_NORMAL, Pango::STYLE_OBLIQUE, Pango::STYLE_ITALIC }
enum | Pango::TabAlign { Pango::TAB_LEFT }
enum | Pango::Underline { Pango::UNDERLINE_NONE, Pango::UNDERLINE_SINGLE, Pango::UNDERLINE_DOUBLE, Pango::UNDERLINE_LOW, Pango::UNDERLINE_ERROR }
| A Pango::Underline is used to specify whether text should be underlined, and if so, the type of underlining. More...
enum | Pango::Variant { Pango::VARIANT_NORMAL, Pango::VARIANT_SMALL_CAPS }
enum | Pango::Weight { Pango::WEIGHT_ULTRALIGHT = 200, Pango::WEIGHT_LIGHT = 300, Pango::WEIGHT_NORMAL = 400, Pango::WEIGHT_SEMIBOLD = 600, Pango::WEIGHT_BOLD = 700, Pango::WEIGHT_ULTRABOLD = 800, Pango::WEIGHT_HEAVY = 900 }
enum | Pango::WrapMode { Pango::WRAP_WORD, Pango::WRAP_CHAR, Pango::WRAP_WORD_CHAR }

## Functions

FontMask | Pango::operator& (FontMask lhs, FontMask rhs)
FontMask& | Pango::operator&= (FontMask& lhs, FontMask rhs)
FontMask | Pango::operator^ (FontMask lhs, FontMask rhs)
FontMask& | Pango::operator^= (FontMask& lhs, FontMask rhs)
FontMask | Pango::operator| (FontMask lhs, FontMask rhs)
FontMask& | Pango::operator|= (FontMask& lhs, FontMask rhs)
FontMask | Pango::operator~ (FontMask flags)

## Enumeration Type Documentation

enum Pango::Alignment

Enumerator:

  ALIGN_LEFT |
  ALIGN_CENTER |
  ALIGN_RIGHT |

enum Pango::AttrType

Enumerator:

  ATTR_INVALID |
  ATTR_LANGUAGE |
  ATTR_FAMILY |
  ATTR_STYLE |
  ATTR_WEIGHT |
  ATTR_VARIANT |
  ATTR_STRETCH |
  ATTR_SIZE |
  ATTR_FONT_DESC |
  ATTR_FOREGROUND |
  ATTR_BACKGROUND |
  ATTR_UNDERLINE |
  ATTR_STRIKETHROUGH |
  ATTR_RISE |
  ATTR_SHAPE |
  ATTR_SCALE |
  ATTR_FALLBACK |
  ATTR_LETTER_SPACING |
  ATTR_UNDERLINE_COLOR |
  ATTR_STRIKETHROUGH_COLOR |
  ATTR_ABSOLUTE_SIZE |
  ATTR_GRAVITY |
  ATTR_GRAVITY_HINT |

enum Pango::CoverageLevel

Enumerator:

  COVERAGE_NONE |
  COVERAGE_FALLBACK |
  COVERAGE_APPROXIMATE |
  COVERAGE_EXACT |

enum Pango::Direction

Enumerator:

  DIRECTION_LTR |
  DIRECTION_RTL |
  DIRECTION_TTB_LTR |
  DIRECTION_TTB_RTL |
  DIRECTION_WEAK_LTR |
  DIRECTION_WEAK_RTL |
  DIRECTION_NEUTRAL |

enum Pango::EllipsizeMode

Enumerator:

  ELLIPSIZE_NONE |
  ELLIPSIZE_START |
  ELLIPSIZE_MIDDLE |
  ELLIPSIZE_END |

enum Pango::FontMask

Bitwise operators:
  `FontMask operator|(FontMask, FontMask)`
  `FontMask operator&(FontMask, FontMask)`
  `FontMask operator^(FontMask, FontMask)`
  `FontMask operator~(FontMask)`
  `FontMask& operator|=(FontMask&, FontMask)`
  `FontMask& operator&=(FontMask&, FontMask)`
  `FontMask& operator^=(FontMask&, FontMask)`

Enumerator:

  FONT_MASK_FAMILY |
  FONT_MASK_STYLE |
  FONT_MASK_VARIANT |
  FONT_MASK_WEIGHT |
  FONT_MASK_STRETCH |
  FONT_MASK_SIZE |
  FONT_MASK_GRAVITY |

enum Pango::Gravity

Enumerator:

  GRAVITY_SOUTH |
  GRAVITY_EAST |
  GRAVITY_NORTH |
  GRAVITY_WEST |
  GRAVITY_AUTO |

enum Pango::GravityHint

Enumerator:

  GRAVITY_HINT_NATURAL |
  GRAVITY_HINT_STRONG |
  GRAVITY_HINT_LINE |

enum Pango::RenderPart

Enumerator:

  RENDER_PART_FOREGROUND |
  RENDER_PART_BACKGROUND |
  RENDER_PART_UNDERLINE |
  RENDER_PART_STRIKETHROUGH |

enum Pango::Script

Enumerator:

  SCRIPT_INVALID_CODE |
  SCRIPT_COMMON |
  SCRIPT_INHERITED |
  SCRIPT_ARABIC |
  SCRIPT_ARMENIAN |
  SCRIPT_BENGALI |
  SCRIPT_BOPOMOFO |
  SCRIPT_CHEROKEE |
  SCRIPT_COPTIC |
  SCRIPT_CYRILLIC |
  SCRIPT_DESERET |
  SCRIPT_DEVANAGARI |
  SCRIPT_ETHIOPIC |
  SCRIPT_GEORGIAN |
  SCRIPT_GOTHIC |
  SCRIPT_GREEK |
  SCRIPT_GUJARATI |
  SCRIPT_GURMUKHI |
  SCRIPT_HAN |
  SCRIPT_HANGUL |
  SCRIPT_HEBREW |
  SCRIPT_HIRAGANA |
  SCRIPT_KANNADA |
  SCRIPT_KATAKANA |
  SCRIPT_KHMER |
  SCRIPT_LAO |
  SCRIPT_LATIN |
  SCRIPT_MALAYALAM |
  SCRIPT_MONGOLIAN |
  SCRIPT_MYANMAR |
  SCRIPT_OGHAM |
  SCRIPT_OLD_ITALIC |
  SCRIPT_ORIYA |
  SCRIPT_RUNIC |
  SCRIPT_SINHALA |
  SCRIPT_SYRIAC |
  SCRIPT_TAMIL |
  SCRIPT_TELUGU |
  SCRIPT_THAANA |
  SCRIPT_THAI |
  SCRIPT_TIBETAN |
  SCRIPT_CANADIAN_ABORIGINAL |
  SCRIPT_YI |
  SCRIPT_TAGALOG |
  SCRIPT_HANUNOO |
  SCRIPT_BUHID |
  SCRIPT_TAGBANWA |
  SCRIPT_BRAILLE |
  SCRIPT_CYPRIOT |
  SCRIPT_LIMBU |
  SCRIPT_OSMANYA |
  SCRIPT_SHAVIAN |
  SCRIPT_LINEAR_B |
  SCRIPT_TAI_LE |
  SCRIPT_UGARITIC |
  SCRIPT_NEW_TAI_LUE |
  SCRIPT_BUGINESE |
  SCRIPT_GLAGOLITIC |
  SCRIPT_TIFINAGH |
  SCRIPT_SYLOTI_NAGRI |
  SCRIPT_OLD_PERSIAN |
  SCRIPT_KHAROSHTHI |
  SCRIPT_UNKNOWN |
  SCRIPT_BALINESE |
  SCRIPT_CUNEIFORM |
  SCRIPT_PHOENICIAN |
  SCRIPT_PHAGS_PA |
  SCRIPT_NKO |
  SCRIPT_KAYAH_LI |
  SCRIPT_LEPCHA |
  SCRIPT_REJANG |
  SCRIPT_SUNDANESE |
  SCRIPT_SAURASHTRA |
  SCRIPT_CHAM |
  SCRIPT_OL_CHIKI |
  SCRIPT_VAI |
  SCRIPT_CARIAN |
  SCRIPT_LYCIAN |
  SCRIPT_LYDIAN |

enum Pango::Stretch

Enumerator:

  STRETCH_ULTRA_CONDENSED |
  STRETCH_EXTRA_CONDENSED |
  STRETCH_CONDENSED |
  STRETCH_SEMI_CONDENSED |
  STRETCH_NORMAL |
  STRETCH_SEMI_EXPANDED |
  STRETCH_EXPANDED |
  STRETCH_EXTRA_EXPANDED |
  STRETCH_ULTRA_EXPANDED |

enum Pango::Style

Enumerator:

  STYLE_NORMAL |
  STYLE_OBLIQUE |
  STYLE_ITALIC |

enum Pango::TabAlign

Enumerator:

  TAB_LEFT |

enum Pango::Underline

A Pango::Underline is used to specify whether text should be underlined, and if so, the type of underlining.

Enumerator:

  UNDERLINE_NONE |
  UNDERLINE_SINGLE |
  UNDERLINE_DOUBLE |
  UNDERLINE_LOW |
  UNDERLINE_ERROR |

enum Pango::Variant

Enumerator:

  VARIANT_NORMAL |
  VARIANT_SMALL_CAPS |

enum Pango::Weight

Enumerator:

  WEIGHT_ULTRALIGHT |
  WEIGHT_LIGHT |
  WEIGHT_NORMAL |
  WEIGHT_SEMIBOLD |
  WEIGHT_BOLD |
  WEIGHT_ULTRABOLD |
  WEIGHT_HEAVY |

enum Pango::WrapMode

Enumerator:

  WRAP_WORD |
  WRAP_CHAR |
  WRAP_WORD_CHAR |

## Function Documentation

FontMask Pango::operator & | ( | FontMask | lhs,
|  | FontMask | rhs |
| ) |  |  | `[inline]`

FontMask& Pango::operator &= | ( | FontMask & | lhs,
|  | FontMask | rhs |
| ) |  |  | `[inline]`

FontMask Pango::operator^ | ( | FontMask | lhs,
|  | FontMask | rhs |
| ) |  |  | `[inline]`

FontMask& Pango::operator^= | ( | FontMask & | lhs,
|  | FontMask | rhs |
| ) |  |  | `[inline]`

FontMask Pango::operator| | ( | FontMask | lhs,
|  | FontMask | rhs |
| ) |  |  | `[inline]`

FontMask& Pango::operator|= | ( | FontMask & | lhs,
|  | FontMask | rhs |
| ) |  |  | `[inline]`

FontMask Pango::operator~ | ( | FontMask | flags | ) | `[inline]`